<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('first_name')->nullable();
            $table->string('last_name')->nullable();
            $table->string('email')->unique();
            $table->timestamp('email_verified_at')->nullable();
            $table->string('password');
            $table->string('phoneNo')->nullable();
            $table->string('country')->nullable();
            $table->date('birthday')->nullable();
            $table->string('gender')->nullable();

            $table->string('position')->nullable();
            $table->string('weight')->nullable();
            $table->string('height')->nullable();
            $table->string('skills')->nullable();
            $table->string('avatar')->nullable();
            $table->rememberToken();
            $table->timestamps();

            $table->string('goals')->nullable();
            $table->string('injury')->nullable();
            $table->date('injury_date')->nullable();
            $table->string('strength')->nullable();

            $table->text('bio')->nullable();

            $table->foreignId('role_id')->constrained('roles');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
